var p = Object.defineProperty;
var o = (e, n) => p(e, "name", { value: n, configurable: !0 });
import { Message as r } from "./message.js";
function y(e, n) {
  if (e === null || typeof e != "object" || !Object.getOwnPropertyNames(r.prototype).every((f) => f in e && typeof e[f] == "function"))
    return !1;
  const t = e.getType();
  return t === null || typeof t != "function" || !("typeName" in t) || typeof t.typeName != "string" ? !1 : n === void 0 ? !0 : t.typeName == n.typeName;
}
o(y, "isMessage");
export {
  y as isMessage
};
